eSMS AfricaeSMS Africa
eSMS Mail

Forwarding

Forward incoming emails to any destination address.

eSMS Mail supports email forwarding — route incoming emails from your verified domains to any destination address.

How it works

  1. Add an MX record pointing your domain to send.esmsafrica.io
  2. Create a forwarding rule (e.g. info@yourdomain.comteam@gmail.com)
  3. Incoming emails are forwarded automatically

Create a forwarding rule

curl -X POST https://send.esmsafrica.io/v1/forwards/ \
  -H "Authorization: Bearer esms_k_your_api_key" \
  -H "Content-Type: application/json" \
  -d '{
    "domain_id": "your_domain_id",
    "source_email": "info@yourdomain.com",
    "destination_email": "team@gmail.com"
  }'

MX record setup

Add this MX record to your domain's DNS:

Type: MX
Host: @
Value: send.esmsafrica.io
Priority: 10

If you already use Google Workspace or Microsoft 365 for email, adding this MX record will route all email through eSMS Mail. Only set this up if you want eSMS Mail to handle incoming email for this domain.

Check MX status

curl https://send.esmsafrica.io/v1/domains/{domain_id}/mx-status \
  -H "Authorization: Bearer esms_k_your_api_key"

Forward logs

View forwarded emails:

curl "https://send.esmsafrica.io/v1/forwards/logs?page=1&limit=50" \
  -H "Authorization: Bearer esms_k_your_api_key"

Get forward statistics (last 30 days):

curl https://send.esmsafrica.io/v1/forwards/stats \
  -H "Authorization: Bearer esms_k_your_api_key"

Managing rules

Update a rule

curl -X PATCH https://send.esmsafrica.io/v1/forwards/{forward_id} \
  -H "Authorization: Bearer esms_k_your_api_key" \
  -H "Content-Type: application/json" \
  -d '{"destination_email": "new@gmail.com", "is_active": true}'

Delete a rule

curl -X DELETE https://send.esmsafrica.io/v1/forwards/{forward_id} \
  -H "Authorization: Bearer esms_k_your_api_key"

On this page